package xl.gui;

import java.awt.Color;
import javax.swing.JTextField;

import xl.controller.EditorController;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Editor extends JTextField  {

    public Editor(EditorController editorController) {
        setBackground(Color.WHITE);
        
        // Listen for changes in the text
        addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent ae) {
                editorController.handleEditorAction();
            }
        });
    }
}
