package xl.gui;

import static java.awt.BorderLayout.CENTER;
import static java.awt.BorderLayout.WEST;

import xl.controller.SlotLabelController;
import xl.model.XLModel;

public class StatusPanel extends BorderPanel {

    protected StatusPanel(StatusLabel statusLabel, XLModel solver, SlotLabelController slotLabelController) {
        CurrentLabel currentLabel = new CurrentLabel();
        slotLabelController.setCurrentLabel(currentLabel);
        add(WEST, currentLabel);
        add(CENTER, statusLabel);
    }
}