package xl.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;

import xl.model.XLModel;

class ClearAllMenuItem extends JMenuItem implements ActionListener {
    private XLModel xlModel;

    public ClearAllMenuItem(XLModel xlModel) {
        super("Clear all");
        this.xlModel = xlModel;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        xlModel.clearAll();
    }
}
