package xl.menu;

import java.io.FileNotFoundException;
import javax.swing.JFileChooser;

import xl.model.XLModel;
import xl.gui.StatusLabel;
import xl.gui.XL;

class LoadMenuItem extends OpenMenuItem {

    private XLModel xlModel;

    public LoadMenuItem(XL xl, StatusLabel statusLabel, XLModel xlModel) {
        super(xl, statusLabel, "Load");
        this.xlModel = xlModel;
    }

    protected void action(String path) throws FileNotFoundException {
        xlModel.load(path);
    }

    protected int openDialog(JFileChooser fileChooser) {
        return fileChooser.showOpenDialog(xl);
    }
}
