package xl.menu;

import java.io.FileNotFoundException;
import javax.swing.JFileChooser;

import xl.model.XLModel;
import xl.gui.StatusLabel;
import xl.gui.XL;

class SaveMenuItem extends OpenMenuItem {

    private XLModel xlModel;

    public SaveMenuItem(XL xl, StatusLabel statusLabel, XLModel xlModel) {
        super(xl, statusLabel, "Save");
        this.xlModel = xlModel;
    }

    protected void action(String path) throws FileNotFoundException {
        xlModel.save(path);
    }

    protected int openDialog(JFileChooser fileChooser) {
        return fileChooser.showSaveDialog(xl);
    }
}
