package xl.gui;

import static java.awt.BorderLayout.CENTER;
import static java.awt.BorderLayout.WEST;

import xl.controller.EditorController;
import xl.controller.SlotLabelController;
import xl.model.XLModel;

public class SheetPanel extends BorderPanel {

    public SheetPanel(int rows, int columns, XLModel xlModel, SlotLabelController slotLabelController,
            EditorController editorController) {
        add(WEST, new RowLabels(rows));
        add(CENTER, new SlotLabels(rows, columns, xlModel, slotLabelController, editorController));
    }
}
