package xl.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;
import xl.model.XLModel;
import xl.gui.StatusLabel;

class ClearMenuItem extends JMenuItem implements ActionListener {

    private XLModel xlModel;
    private StatusLabel statusLabel;
    
    public ClearMenuItem(XLModel xlModel, StatusLabel statusLabel) {
        super("Clear");
        this.xlModel = xlModel;
        this.statusLabel = statusLabel;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        xlModel.clearCell();
        statusLabel.setText(xlModel.getStatus());
    }
}
