package xl.menu;

import javax.swing.JMenu;
import javax.swing.JMenuBar;

import xl.model.XLModel;
import xl.gui.StatusLabel;
import xl.gui.XL;
import xl.gui.XLList;

public class XLMenuBar extends JMenuBar {

    public XLMenuBar(XL xl, XLList xlList, StatusLabel statusLabel, XLModel xlModel) {
        JMenu file = new JMenu("File");
        JMenu edit = new JMenu("Edit");
        file.add(new SaveMenuItem(xl, statusLabel, xlModel)); 
        file.add(new LoadMenuItem(xl, statusLabel, xlModel));
        file.add(new NewMenuItem(xl));
        file.add(new CloseMenuItem(xl, xlList));
        edit.add(new ClearMenuItem(xlModel, statusLabel));
        edit.add(new ClearAllMenuItem(xlModel));
        add(file);
        add(edit);
        add(new WindowMenu(xlList));
    }
}
