package xl.model;

import xl.expr.Environment;
/**
 * A class representing a cell with a comment value.
 */
public class CommentCell implements Cell {
    private String commentText;

    public CommentCell(String commentText) {
        this.commentText = commentText;
    }

    public double cellValue(Environment e) {
        return 0;
    }

    public String displayValue() {
        return "# " + commentText;
    }

    public String formula() {
        return commentText;
    }
}
